Package org.apache.coyote

## Class ProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.coyote.ProtocolException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ProtocolException
    extends java.lang.RuntimeException

Used when we need to indicate failure but the (Servlet) API doesn't declare any appropriate exceptions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ProtocolException()`
`ProtocolException​(java.lang.String message)`
`ProtocolException​(java.lang.String message, java.lang.Throwable cause)`
`ProtocolException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProtocolException

    public ProtocolException()

#### ProtocolException

    public ProtocolException​(java.lang.String message,
                             java.lang.Throwable cause)

#### ProtocolException

    public ProtocolException​(java.lang.String message)

#### ProtocolException

    public ProtocolException​(java.lang.Throwable cause)